Package twisted :: Package spread :: Module flavors :: Class RemoteCache

[show private | hide private]
[frames | no frames]

## Class RemoteCache

    Unjellyable --+
                  |
         RemoteCopy --+
                      |
      Jellyable --+   |
                  |   |
       Serializable --+
                      |
                     RemoteCache

Known Subclasses:
  `RemotePublished`

A cache is a local representation of a remote `Cacheable` object.

This represents the last known state of this object. It may also have methods invoked on it -- in order to update caches, the cached class generates a `pb.RemoteReference` to this object as it is originally sent.

Much like copy, I will be invoked with no arguments. Do not implement a constructor that requires arguments in one of my subclasses.

Method Summary
| ``__cmp__`(self, other)` Compare me [to another RemoteCache.
| ``__del__`(self)` Do distributed reference counting on finalize.
| ``__hash__`(self)` Hash me.
| `getStateFor(self, jellier)` (inherited from `Jellyable`)
| ``jellyFor`(self, jellier)` serialize me (only for the broker I'm for) as the original cached reference
| ``processUniqueID`(self)` Return an ID which uniquely represents this object for this process. (inherited from `Serializable`)
| ``remoteMessageReceived`(self, broker, message, args, kw)` A remote message has been received.
| ``setCopyableState`(self, state)` I will be invoked with the state to copy locally. (inherited from `RemoteCopy`)
| `setStateFor(self, unjellier, state)` (inherited from `Unjellyable`)
| `unjellyFor(self, unjellier, jellyList)`

Class Variable Summary
`NoneType` | `broker`
`NoneType` | `luid`

Method Details

### __cmp__(self, other)
(Comparison operator)

Compare me [to another RemoteCache.

### __del__(self)
(Destructor)

Do distributed reference counting on finalize.

### __hash__(self)
(Hashing function)

Hash me.

### jellyFor(self, jellier)

serialize me (only for the broker I'm for) as the original cached reference

### remoteMessageReceived(self, broker, message, args, kw)

A remote message has been received. Dispatch it appropriately.

The default implementation is to dispatch to a method called '`observe_messagename`' and call it on my with the same arguments.

Class Variable Details

### broker

  Type:
    `NoneType`
  Value:

        None

### luid

  Type:
    `NoneType`
  Value:

        None

Generated by Epydoc 1.1 on Thu May 8 13:19:01 2003 | http://epydoc.sf.net